AI Editor Not Working with version 1.0.5 after reverting update

  • October 18, 2017 at 05:32 #22207
    Henry
    Participant

    Hi, I tried updating to a newer version of Utility AI, but it had several compile errors, so I reverted using version control. However, since then I cannot use the AI Editor, and the component master doesn’t seem to work. Other components are still functional–I just can’t edit AI, and am given this error when I try:

    TypeLoadException: Could not load type ‘UnityEngine.ImageConversion’ from assembly ‘ApexAIEditor’.
    Apex.AI.Editor.PngResource.get_texture () (at c:/Development/Apex Applications/ApexGameTools/Source/ApexAI/ApexAIEditor/UndoRedo/RemoveActionOperation.cs:13)
    Apex.AI.Editor.EditorStyling+Canvas.SetTextures () (at c:/Development/Apex Applications/ApexGameTools/Source/ApexAI/ApexAIEditor/Reflection/ReflectMaster.cs:101)
    Apex.AI.Editor.EditorStyling.SetTextures () (at c:/Development/Apex Applications/ApexGameTools/Source/ApexAI/ApexAIEditor/Reflection/AIBuildingBlocks.cs:79)
    Apex.AI.Editor.EditorStyling.InitScaleAgnosticStyles () (at c:/Development/Apex Applications/ApexGameTools/Source/ApexAI/ApexAIEditor/Reflection/AIBuildingBlocks.cs:78)
    Apex.AI.Editor.AIEditorWindow.OnGUI () (at c:/Development/Apex Applications/ApexGameTools/Source/ApexAI/ApexAIEditor/AIEditorWindow.cs:2175)
    System.Reflection.MonoMethod.Invoke (System.Object obj, BindingFlags invokeAttr, System.Reflection.Binder binder, System.Object[] parameters, System.Globalization.CultureInfo culture) (at /Users/builduser/buildslave/mono/build/mcs/class/corlib/System.Reflection/MonoMethod.cs:222)

    Has anyone seen/solved this problem before?

    October 18, 2017 at 11:40 #22209
    Geminior
    Keymaster

    Are you sure you have pushed all dlls to source control?
    Look at the version of each individual dll in Apex Binaries, it would seem that you have not properly recreated the ‘old’ state of your project.

    October 19, 2017 at 03:27 #22219
    Henry
    Participant

    Is there any way I can re-download version 1.0.5? When I check my page currently I’m not given the option to download by version. Thank you!

    October 19, 2017 at 03:59 #22221
    Henry
    Participant

    I was able to roll back to a version of the binaries folder that worked, this will probably last until we upgrade to 2017.2 and I’ll try installing 1.0.7 again. Thanks!

    October 19, 2017 at 12:10 #22223
    Geminior
    Keymaster

    Alright, good you managed to get it back in working order.

You must be logged in to reply to this topic.